<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Builder;

class PagSeguroHolderViewModelBuilder implements Builder {
	protected $name;

	public function build(): PagSeguroHolderViewModel {

		$obj = new PagSeguroHolderViewModel();

		$obj->setName( $this->name );

		return $obj;

	}

	/**
	 *
	 * @param mixed $name
	 */
	public function setName($name): PagSeguroHolderViewModelBuilder {

		$this->name = $name;
		return $this;

	}

}

